Несколько уязвимостей в SquirrelMail G/PGP Encryption Plugin

Дата публикации:
13.07.2007
Всего просмотров:
1433
Опасность:
Высокая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2005-1924
CVE-2006-4169
CVE-2007-3778
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SquirrelMail G/PGP Encryption Plugin 2.x
Уязвимые версии: SquirrelMail G/PGP Encryption Plugin 2.1 и более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю получить доступ к важным данным и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки границ данных в функции "deleteKey()". Удаленный авторизованный пользователь может с помощью параметра "fpr" внедрить и выполнить произвольные команды на системе.

2. Уязвимость существует из-за недостаточной обработки входных данных в переменной "messageSignedText" в функции "gpg_check_sign_pgp_mime()". Удаленный пользователь может внедрить и выполнить произвольные команды на системе, когда пользователь открывает специально сформированное почтовое сообщение.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "keyserver" в функции "gpg_recv_key()" сценария gpg_key_functions.php. Удаленный авторизованный пользователь может с помощью специально сформированного запроса внедрить и выполнить произвольные команды на системе.

4. Уязвимость существует из-за недостаточной обработки входных данных в параметре "help" в сценариях gpg_help.php и gpg_help_base.php. Удаленный пользователь может просмотреть содержимое произвольных файлов на системе.

URL производителя: www.squirrelmail.org/plugin_view.php?id=153

Решение: Уязвимости #2 и #4 исправлены в версии 2.1. Способов устранения уязвимостей #1 and #3 не существует в настоящее время.

Ссылки: SquirrelMail G/PGP Plugin deleteKey() Command Injection Vulnerability
SquirrelMail G/PGP Plugin gpg_check_sign_pgp_mime() Command Injection Vulnerability
SquirrelMail G/PGP Plugin gpg_recv_key() Command Injection Vulnerability
SquirrelMail G/PGP Plugin gpg_help.php Local File Inclusion Vulnerability

или введите имя

CAPTCHA